Add forms to a transaction

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/transact-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Transact API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/transact-api/mcp"
  }
}

Close
POST /forms-editor/api/v1/users/{userId}/FormPackages/{transactionId}/forms

Adds one or more library forms to the transaction's form package.

Path parameters

  • userId string(uuid) Required

    Unique identifier (GUID) of the acting user. All Transact Workflow resources are scoped to a user.

  • transactionId string(uuid) Required

    GUID of the transaction (form package).

application/json

Body Required

  • libraryId string(uuid) Required

    GUID of the form library the form comes from.

  • formId string(uuid) Required

    GUID of the library form to add.

  • parentId string(uuid)

    GUID of the parent folder within the transaction to place the form in.

  • sortOrder integer

    Sort order of the form within its folder.

Responses

  • 201

    Forms added to the transaction.

  • 400 application/json

    The request is malformed or contains invalid parameters.

    Hide response attributes Show response attributes object
    • error string

      Error code or short error name.

    • message string

      Human-readable error description.

  • 401 application/json

    The access token is missing, invalid, or expired.

    Hide response attributes Show response attributes object
    • error string

      Error code or short error name.

    • message string

      Human-readable error description.

  • 403 application/json

    The caller is not permitted to perform this operation.

    Hide response attributes Show response attributes object
    • error string

      Error code or short error name.

    • message string

      Human-readable error description.

  • 404 application/json

    The requested resource does not exist.

    Hide response attributes Show response attributes object
    • error string

      Error code or short error name.

    • message string

      Human-readable error description.

POST /forms-editor/api/v1/users/{userId}/FormPackages/{transactionId}/forms
curl \
 --request POST 'https://gateway.lwolf.com/forms-editor/api/v1/users/{userId}/FormPackages/{transactionId}/forms' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "lw-subscription-key: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '[{"libraryId":"string","formId":"string","parentId":"string","sortOrder":0}]'
Request examples
[
  {
    "libraryId": "string",
    "formId": "string",
    "parentId": "string",
    "sortOrder": 0
  }
]
Response examples (400)
{
  "error": "string",
  "message": "string"
}
Response examples (401)
{
  "error": "string",
  "message": "string"
}
Response examples (403)
{
  "error": "string",
  "message": "string"
}
Response examples (404)
{
  "error": "string",
  "message": "string"
}